import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "Brightness3Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,2C7.95,2 6.95,2.16 6,2.46C10.06,3.73 13,7.5 13,12C13,16.5 10.06,20.27 6,21.54C6.95,21.84 7.95,22 9,22A10,10 0 0,0 19,12A10,10 0 0,0 9,2Z",
            })
        ])
    },
})