import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatVerticalAlignBottomIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M16,13H13V3H11V13H8L12,17L16,13M4,19V21H20V19H4Z",
            })
        ])
    },
})