import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ImageSizeSelectActualIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21,3H3C2,3 1,4 1,5V19A2,2 0 0,0 3,21H21C22,21 23,20 23,19V5C23,4 22,3 21,3M5,17L8.5,12.5L11,15.5L14.5,11L19,17H5Z",
            })
        ])
    },
})