import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "KeyboardF1Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6 7H12V9H8V11H11V13H8V17H6V7M14 7H18V17H16V9H14V7Z",
            })
        ])
    },
})