import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "LanguageCss3Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,3L4.35,6.34H17.94L17.5,8.5H3.92L3.26,11.83H16.85L16.09,15.64L10.61,17.45L5.86,15.64L6.19,14H2.85L2.06,18L9.91,21L18.96,18L20.16,11.97L20.4,10.76L21.94,3H5Z",
            })
        ])
    },
})