import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "RomanNumeral5Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9 7L11 17H13L15 7H13L12 12L11 7H9Z",
            })
        ])
    },
})