import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "StepForward2Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7,5H10V19H7V5M12,5L23,12L12,19V5M2,5H5V19H2V5Z",
            })
        ])
    },
})