import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TallyMark2Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11 19H9V5H11V19M15 5H13V19H15V5Z",
            })
        ])
    },
})