import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CardsDiamondOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12 2L5 12L12 22L19 12M7.44 12L12 5.5L16.56 12L12 18.5",
            })
        ])
    },
})