import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CurrencyKztIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,3H19V5H5V3M5,6H19V8H13V21H11V8H5V6Z",
            })
        ])
    },
})