import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatHorizontalAlignLeftIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11,16V13H21V11H11V8L7,12L11,16M3,20H5V4H3V20Z",
            })
        ])
    },
})