import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatHorizontalAlignRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13,8V11H3V13H13V16L17,12L13,8M19,20H21V4H19V20Z",
            })
        ])
    },
})