import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "NotificationClearAllIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,13H19V11H5M3,17H17V15H3M7,7V9H21V7",
            })
        ])
    },
})