import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "NumericNegative1Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13 7V9H15V17H17V7H13M11 13H5V11H11V13Z",
            })
        ])
    },
})