import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TallyMark3Icon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9 19H7V5H9V19M13 5H11V19H13V5M17 5H15V19H17V5Z",
            })
        ])
    },
})